commit:     f23243f1c71c775476b21c091a099548af6334ee
Author:     Mario Haustein <mario.haustein <AT> hrz <DOT> tu-chemnitz <DOT> de>
AuthorDate: Wed Apr  9 19:53:04 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Apr 24 18:22:10 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f23243f1

sci-astronomy/scamp: add 2.14.0

Signed-off-by: Mario Haustein <mario.haustein <AT> hrz.tu-chemnitz.de>
Part-of: https://github.com/gentoo/gentoo/pull/41516
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-astronomy/scamp/Manifest            |  1 +
 sci-astronomy/scamp/scamp-2.14.0.ebuild | 50 +++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/sci-astronomy/scamp/Manifest b/sci-astronomy/scamp/Manifest
index dd6f2e72f5e1..6cc9d2c6b5c1 100644
--- a/sci-astronomy/scamp/Manifest
+++ b/sci-astronomy/scamp/Manifest
@@ -1,2 +1,3 @@
 DIST scamp-2.10.0.tar.gz 56354286 BLAKE2B 
b31d292413160f85f8086d848d81f36adde3bc560c737adfe77245d23eb6eab19e5f73a343669b462453542a140d89fb3d12b5d6a481949205722c6e2f5234cd
 SHA512 
7c7a4ab167a3c03b7fd862f39ccd9368d6ac31270a86b336f1ee2a52f8e4324e29e6324047416159c0b73bb54b05f12b7b70c2de3cb4197999cb848fc5ce4c0d
 DIST scamp-2.13.1.tar.gz 56345223 BLAKE2B 
0f9c5693c22175ec9706eae8117a00acc24684fa389084b13772c3dff46ad10a1a9a43c1bad0fd05619e323dfa461a7e23c14a597d68fa7f488c6eb33a3536b6
 SHA512 
d5d28a2ba1c0ce20f6011ae757804e82fb30b666f3c34a9a6307653f7477f848d507be4df437c219427894680815c142b8653e74a5a64497dc7919d16d126a49
+DIST scamp-2.14.0.tar.gz 56356548 BLAKE2B 
d6003b1da11616c5749e7ffbe74761731b6c0bba61657ce2b96a0055f073055c70647732794e507f7a4b73cc659c6adcc5d499984f710001a7e5e1973756b46b
 SHA512 
c1a25359bbdb3edae2e4039e72f0872b4dcae7fe32692977f54779398b478380a30f920f9095ce0f4a56100e151259a1cd2358ae838c8059605731f7589f511e

diff --git a/sci-astronomy/scamp/scamp-2.14.0.ebuild 
b/sci-astronomy/scamp/scamp-2.14.0.ebuild
new file mode 100644
index 000000000000..13b2f01fe1a0
--- /dev/null
+++ b/sci-astronomy/scamp/scamp-2.14.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Astrometric and photometric solutions for astronomical images"
+HOMEPAGE="http://www.astromatic.net/software/scamp 
https://github.com/astromatic/scamp";
+
+if [[ ${PV} == "9999" ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/astromatic/${PN}.git";
+else
+       
SRC_URI="https://github.com/astromatic/scamp/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="plplot threads"
+
+RDEPEND="
+       sci-astronomy/cdsclient
+       sci-libs/atlas[lapack,threads=]
+       sci-libs/fftw:3.0
+       plplot? ( sci-libs/plplot:= )"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-2.10.0-spread_bits64.patch"
+)
+
+src_prepare() {
+       default
+
+       sed -e "s/lapack_atlas/atlclapack/g" -i m4/acx_atlas.m4 || die
+
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               --with-atlas-incdir="${EPREFIX}/usr/include/atlas"
+               $(use_enable plplot)
+               $(use_enable threads)
+       )
+
+       econf "${myeconfargs[@]}"
+}

Reply via email to